import request from '@/utils/request';
import { UPCLOUD_RDC_TMS_BUSINESS_SERVICE } from '@/config/serviceSettings.js'


function startDisabledTime(startValue, form) {
  let endValue = form.getFieldValue('endDate');
  if (!startValue || !endValue) {
    return false;
  }
  return startValue.valueOf() > new Date(endValue).valueOf();
}
function endDisabledTime(endValue, form) {
  let startValue = form.getFieldValue('startDate');
  if (!startValue || !endValue) {
    return false;
  }
  return new Date(startValue).valueOf() >= endValue.valueOf();
}



export const submitSave = (_this, data) => {
  return request({
    url:UPCLOUD_RDC_TMS_BUSINESS_SERVICE +'/transport_plan_bill/save',
    method: 'post',
    data
  })
};